package enum

type SysCfg string

const (
	AppInviteType   = "app_invite_type"
	AppInviteLength = "app_invite_length"
)

func (gt SysCfg) String() string {
	switch gt {
	case AppInviteType:
		return "App邀请码设置（1数字；2数字+字母）"
	case AppInviteLength:
		return "App邀请码长度"

	default:
		return "未知"
	}
}

// VideoReward 视频激励设置
type VideoReward string

const (
	VideoRewardUnitPrice = "video_reward_unit_price"
	VideoRewardECPM      = "video_reward_ecpm"
)

func (gt VideoReward) String() string {
	switch gt {
	case VideoRewardUnitPrice:
		return "激励视频单价"
	case VideoRewardECPM:
		return "激励视屏ecpm值"

	default:
		return "未知"
	}
}

// AliyunOss 阿里云对象存储枚举类
type AliyunOss string

const (
	AliyunOssEndpoint                  = "oss_endpoint"
	AliyunOssBucketName                = "oss_bucket_name"
	AliyunOssBucketScheme              = "oss_bucket_scheme"
	AliyunOssAccessKeyID               = "oss_access_key_id"
	AliyunOssAccessKeySecret           = "oss_access_key_secret"
	AliyunOssDomain                    = "oss_domain"
	AliyunOptions                      = "oss_options"
	AliyunOssAssumeRoleAccessKeyID     = "oss_assume_role_access_key_id"
	AliyunOssAssumeRoleAccessKeySecret = "oss_assume_role_access_key_secret"
	AliyunOssAssumeRoleARN             = "oss_assume_arn"
)

func (gt AliyunOss) String() string {
	switch gt {
	case AliyunOssEndpoint:
		return "oss地域节点"
	case AliyunOssBucketName:
		return "oss存储桶名称"
	case AliyunOssBucketScheme:
		return "oss上传方式"
	case AliyunOssAccessKeyID:
		return "oss访问秘钥id"
	case AliyunOssAccessKeySecret:
		return "oss访问秘钥"
	case AliyunOssDomain:
		return "oss域名"
	case AliyunOptions:
		return "文件上传类型"
	case AliyunOssAssumeRoleAccessKeyID:
		return "oss RAM角色访问秘钥id"
	case AliyunOssAssumeRoleAccessKeySecret:
		return "oss RAM角色访问秘钥"
	case AliyunOssAssumeRoleARN:
		return "oss RAM角色ARN"
	default:
		return "未知"
	}
}

// AlipayConfig 支付宝枚举类型
type AlipayConfig string

const (
	AlipayAppId             = "alipay_app_id"
	AlipayPrivateKey        = "alipay_private_key"
	AlipayPublicKey         = "alipay_public_key"
	AlipayPublicContentRSA2 = "alipay_public_content_rsa2"
	AlipayRootContent       = "alipay_root_content"
	AlipayPid               = "alipay_pid"
	AppPublicContent        = "alipay_public_content"
)

func (gt AlipayConfig) String() string {
	switch gt {
	case AlipayAppId:
		return "支付宝商家应用appid"
	case AlipayPrivateKey:
		return "支付宝商家应用私钥"
	case AlipayPublicKey:
		return "支付宝商家应用公钥"
	case AlipayPublicContentRSA2:
		return "支付宝公钥证书"
	case AlipayRootContent:
		return "支付宝根证书"
	case AppPublicContent:
		return "应用公钥证书"
	case AlipayPid:
		return "签约的支付宝账号对应的支付宝唯一用户号"
	default:
		return "未知"
	}
}

// WxConfig 微信枚举类型
type WxConfig string

const (
	WxAppId                      = "wx_app_id"
	WxMchId                      = "wx_mch_id"
	WxMchApiV3Key                = "wx_mch_api_v3_key"
	WxMchCertificateSerialNumber = "wx_mch_certificate_serial_number"
)

func (gt WxConfig) String() string {
	switch gt {
	case WxAppId:
		return "微信应用appid"
	case WxMchId:
		return "微信商户号"
	case WxMchApiV3Key:
		return "微信商户证书序列号"
	case WxMchCertificateSerialNumber:
		return "微信商户APIv3密钥"
	default:
		return "未知"
	}
}
