package md

const EggAppExchange = "egg.app"

const (
	EggNewUserRegister                                  = "egg_new_user_register"                       // 新用户注册
	EggRoutKeyForAddPublicPlatoonUserRelationCommission = "add_public_platoon_user_relation_commission" // 加入公排
	EggFinWithdrawApply                                 = "egg_fin_withdraw_apply"                      // 提现申请
	EggFinWithdrawApplyError                            = "egg_fin_deposit_apply_error"                 // 提现申请异常队列
	EggRoutKeyForRecordActive                           = "egg_record_active"                           // 更新活跃记录
	EggRoutKeyForAutoScoreData                          = "egg_auto_score"                              // 自动打分
	EggRoutKeyForSendFriendCircle                       = "egg_send_friend_circle"                      // 发送朋友圈
	EggRoutKeyForComment                                = "egg_comment"                                 // 评论
	EggRoutKeyForPunishmentRecord                       = "egg_publish"                                 // 处罚冻结用户上级
	EggRoutKeyForRecoverRecord                          = "egg_recover"                                 // 返还冻结用户上级金额
	EggRoutKeyForRestoreRecord                          = "egg_restore"                                 // 恢复返还冻结用户上级金额
)

type EggNewUserRegisterData struct {
	Uid int64 `json:"uid"`
}

type EggFinWithdrawApplyData struct {
	Id              int64  `json:"id"`
	Uid             int64  `json:"uid"`
	AdmId           int    `json:"adm_id"`
	Amount          string `json:"amount"`
	RealAmount      string `json:"real_amount"`
	Fee             string `json:"fee"`
	Type            int    `json:"type"`
	WithdrawAccount string `json:"withdraw_account"`
	WithdrawName    string `json:"withdraw_name"`
	Reason          int    `json:"reason"`
	PaymentDate     string `json:"payment_date"`
	State           int    `json:"state"`
	WithdrawKind    int    `json:"withdraw_kind"`
	IsFirst         int    `json:"is_first"`
	Memo            string `json:"memo"`
	UpdateAt        string `json:"update_at"`
	CreateAt        string `json:"create_at"`
}

type EggFinWithdrawApplyErrorData struct {
	EggFinWithdrawApplyData EggFinWithdrawApplyData `json:"egg_fin_withdraw_apply_data"` // 原始申请数据
	ErrorInfo               string                  `json:"error_info"`                  // 错误信息
	Ext                     []byte                  `json:"ext"`                         // 如果尝试解析失败，则将整个结构体放入
}

type EggStructForRecordActiveData struct {
	Uid                  int64  `json:"uid"`
	TotalPersonEggPoints string `json:"total_person_egg_points"` // 个人活跃积分
}

type EggStructForAutoScoreData struct {
	DocId                               string  `json:"doc_id"` // 文档 id
	Ecpm                                float64 `json:"ecpm"`
	InviteUserNums                      int     `json:"invite_user_nums"`
	TeamActivityNums                    int     `json:"team_activity_nums"`
	SignInNums                          int     `json:"sign_in_nums"`
	ImActivityNums                      int     `json:"im_activity_nums"`
	SendRedPackageNums                  int     `json:"send_red_package_nums"`
	EggEnergyExchangeAccountBalance     float64 `json:"egg_energy_exchange_account_balance"`
	AccountBalanceExchangeEggEnergyNums float64 `json:"account_balance_exchange_egg_energy_nums"`
	SendCircleOfFriendNums              int     `json:"send_circle_of_friend_nums"`
	ForumCommentsNums                   int     `json:"forum_comments_nums"`
	CollegeLearningNums                 int     `json:"college_learning_nums"`
	ViolateNums                         int     `json:"violate_nums"`
	BrowseInterfaceNums                 int     `json:"browse_interface_nums"`
	PersonAddActivityValue              float64 `json:"person_add_activity_value"`
}

type AddPublicPlatoonUserRelationCommissionReq struct {
	Uid          string `json:"uid"`
	RecommendUid string `json:"recommend_uid"` //推荐人uid
	Phone        string `json:"phone"`         //推荐人uid
}

type EggSendFriendCircleData struct {
	Uid int64 `json:"uid"`
}

type EggCommentData struct {
	Uid int64 `json:"uid"`
}

type EggRoutKeyForPunishmentRecordData struct {
	Uid    int64  `json:"uid"`
	Amount string `json:"amount"`
}

type EggRoutKeyForRecoverRecordData struct {
	Uid int64 `json:"uid"`
}

type EggRoutKeyForRestoreRecordData struct {
	Uid int64 `json:"uid"`
}
