package md

const EggEnergyExchange = "egg.energy"

const (
	EggEnergyRoutKeyForStarLevelDividend                = "star_level_dividend"                  // 星级分红
	EggEnergyRoutKeyForSettlementPublicGiveActivityCoin = "settlement_public_give_activity_coin" // 计算观看激励视屏得到活跃积分
	EggEnergyTeamAssistance                             = "egg_energy_team_assistance"           // 团队助力
	EggEnergyRoutKeyForStartExchangeGreenEnergy         = "start_exchange_egg_energy"            // 开始兑换蛋蛋能量
	EggEnergyRoutKeyForAutoExchangeGreenEnergy          = "auto_exchange_egg_energy"             // 自动兑换蛋蛋能量
	EggEnergyRoutKeyForEggEnergyFundData                = "fund_data"                            // 资金汇入
	EggEnergyRoutKeyForPlatformRevenueData              = "platform_revenue_data"                // 平台收入
	EggEnergyRoutKeyForDealUserVirtualCoinData          = "deal_user_virtual_coin"               // 处理给用户虚拟币积分
	EggEnergyRoutKeyForDealUserEcpm                     = "user_ecpm"                            // 处理给用户Ecpm值
)

type EggEnergyTeamAssistanceReq struct {
	Uid             int64   `json:"uid"`
	AssistanceUid   int64   `json:"assistance_uid"`
	AssistanceValue float64 `json:"assistance_value"`
	SignStart       string  `json:"sign_start"`
	SignEnd         string  `json:"sign_end"`
	SignId          int64   `json:"sign_id"`
}

type EggEnergyStructForSignIn struct {
	MasterId string `json:"master_id"`
	Uid      int    `json:"uid"`
	Id       int64  `json:"id"`
	EndTime  string `json:"end_time"`
}
type UpdateEggEnergyStructForSignInRecords struct {
	Id  int64 `json:"id"`
	Uid int   `json:"uid"`
}

type EggEnergyStructForStarLevelDividends struct {
	Uid          int64   `json:"uid"`
	SignDividend float64 `json:"sign_dividend"`
}

type EggEnergyStructForAutoExchangeGreenEnergy struct {
	Uid                   int64  `json:"uid"`
	SignId                int64  `json:"sign_id"`
	PersonEggEnergyCoinId int    `json:"person_egg_energy_coin_id"`
	TeamEggEnergyCoinId   int    `json:"team_egg_energy_coin_id"`
	StartExchangeTime     string `json:"start_exchange_time"` //发起兑换时间
	EndExchangeTime       string `json:"end_exchange_time"`   //截止兑换时间
}

type EggEnergyStructForStartExchangeGreenEnergy struct {
	Uid                   int64 `json:"uid"`
	SignId                int64 `json:"sign_id"`
	PersonEggEnergyCoinId int   `json:"person_egg_energy_coin_id"`
	TeamEggEnergyCoinId   int   `json:"team_egg_energy_coin_id"`
	PersonPointCoinId     int   `json:"person_point_coin_id"`
	PersonEnergyCoinId    int   `json:"person_energy_coin_id"`
	TeamPointCoinId       int   `json:"team_point_coin_id"`
	TeamEnergyCoinId      int   `json:"team_energy_coin_id"`
}
type EggEnergyStructForPlatformRevenueData struct {
	ID     int    `json:"id"`
	Amount string `json:"amount"` // 资金汇入处理金额
}

type EggEnergyStructForEggEnergyFundData struct {
	ID     int    `json:"id"`
	Amount string `json:"amount"` // 平台收入处理金额
}

type EggEnergyStructForDealUserVirtualCoinData struct {
	Kind         string  `json:"kind"`
	Title        string  `json:"title"`
	TransferType int     `json:"transfer_type"`
	CoinId       int     `json:"coin_id"`
	Uid          int64   `json:"uid"`
	Amount       float64 `json:"amount"`
}
