package es

import (
	"code.fnuoos.com/EggPlanet/egg_system_rules.git/md"
	egg_system_rules "code.fnuoos.com/EggPlanet/egg_system_rules.git/utils"
	"time"
)

// GetAppointIndexFromAlias 获取指定别名
func GetAppointIndexFromAlias(year string, week string) string {
	var esIndexName string
	if year != "" && week != "" {
		esIndexName = md.EggEnergyUserEggScoreEsAlias + "_" + year + week
	}
	return esIndexName
}

// GetLatestEffectiveIndexFromAlias 获取最新有效别名
// TODO::临时默认全是60分
func GetLatestEffectiveIndexFromAlias(now time.Time) string {
	//if now.Weekday() > time.Wednesday || (now.Weekday() > time.Wednesday && now.Hour() > 14) {
	if now.Weekday() == time.Sunday {
		now = now.AddDate(0, 0, -7*1)
	} else if now.Weekday() > time.Saturday || (now.Weekday() == time.Saturday && now.Hour() > 22) {
		// 当前已经过了周三下午两点 返回上周蛋蛋分
		now = now.AddDate(0, 0, -7*1)
	} else {
		// 没过周三下午两点 返回上上周蛋蛋分
		now = now.AddDate(0, 0, -7*2)
	}
	year, week := now.ISOWeek()
	return egg_system_rules.IntToStr(year) + egg_system_rules.IntToStr(week)
}

func GetLatestEffectiveIndexFromAliasForAdmin(now time.Time) string {
	now = now.AddDate(0, 0, -7)
	year, week := now.ISOWeek()
	return egg_system_rules.IntToStr(year) + egg_system_rules.IntToStr(week)
}
